Attribute VB_Name = "Module2"

'for SQl config
Public xProvider As String
Public xDataSource As String
Public xIntialCatalog As String
Public xIsWinAuth As Boolean
Public xIntegratedSecurity As String
Public xUserID As String
Public xPwd As String

Public isTestSucceeded As Boolean

Public ADO As New ADODB.Connection
Public rs As New ADODB.Recordset

Public Const INIFile = "Settings.ini"

'connect to sql
Sub ConnecttoSQL()
    xProvider = GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "Provider", "")
    xDataSource = (GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "Data_Source", ""))
    xIntialCatalog = GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "Initial_Catalog", "")
    xIsWinAuth = (GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "isWinAuth", ""))
    xIntegratedSecurity = GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "Integrated_Security", "")
    xUserID = GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "User_ID", "")
    xPwd = GetIni(frmAPCMain.myINI, "SQL SERVER CONFIGURATION", "Password", "")

    SQLConnect xProvider, xDataSource, xIntialCatalog, xIsWinAuth, xIntegratedSecurity, xUserID, xPwd
End Sub

'sql connect
Public Sub SQLConnect(ByVal Provider As String, ByVal Data_Source As String, _
            ByVal Initial_Catalog As String, ByVal isWinNTAuth As Boolean, _
            ByVal Integrated_Security As String, ByVal User_ID As String, _
            ByVal Password As String)

On Error GoTo err
    Set ADO = New ADODB.Connection
    Set rs = New ADODB.Recordset

    ADO.ConnectionTimeout = 25
    ADO.Provider = Provider
    ADO.Properties("Data Source").Value = Data_Source
    ADO.Properties("Initial Catalog").Value = Initial_Catalog

    If isWinNTAuth = True Then
        ADO.Properties("Integrated Security").Value = "SSPI"
        WinNTAuto = True
    Else
        ADO.Properties("User ID").Value = User_ID
        ADO.Properties("Password").Value = Password
        WinNTAuto = False
    End If

    ADO.Open
  
    isTestSucceeded = True
    
Exit Sub
err:
    MsgBox err.Number & err.Description
    Exit Sub
End Sub

'getini
Function GetIni(ini As INITool, iniSection$, iniKey$, Default$) As Variant
    With ini
        .Path = App.Path
        .File = INIFile
        .Section = iniSection
        .Key = iniKey
        If (Not IsNull(.Value)) And (.Value <> "") Then
            GetIni = .Value
        Else
            .Value = Default$
            GetIni = .Value
        End If
    End With
End Function

'saveini
Sub SaveIni(ini As INITool, sec$, Key$, val As Variant)
    With ini
        .Path = App.Path
        .File = INIFile
        .Section = sec
        .Key = Key
        .Value = val
    End With
End Sub


